Set the reporting currency.
curl --request PUT \
--url https://api.riskportal.activeviam.com/api/User/me/ReportingCurrency \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.riskportal.activeviam.com/api/User/me/ReportingCurrency"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.riskportal.activeviam.com/api/User/me/ReportingCurrency', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/User/me/ReportingCurrency",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/User/me/ReportingCurrency"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.riskportal.activeviam.com/api/User/me/ReportingCurrency")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/User/me/ReportingCurrency")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodySet the reporting currency.
Saves the current user’s reporting currency and completes before returning. Accepted values are exactly
uppercase AUD, CHF, EUR, GBP, JPY, SEK, USD, HKD,
TWD, and SGD. An unsupported value has no explicitly declared action result status.
PUT
/
api
/
User
/
me
/
ReportingCurrency
Set the reporting currency.
curl --request PUT \
--url https://api.riskportal.activeviam.com/api/User/me/ReportingCurrency \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.riskportal.activeviam.com/api/User/me/ReportingCurrency"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.riskportal.activeviam.com/api/User/me/ReportingCurrency', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/User/me/ReportingCurrency",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/User/me/ReportingCurrency"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.riskportal.activeviam.com/api/User/me/ReportingCurrency")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/User/me/ReportingCurrency")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyAuthorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Query Parameters
Required uppercase reporting-currency code: AUD, CHF, EUR, GBP, JPY, SEK, USD, HKD, TWD, or SGD. No default is declared.
Response
Returns an empty successful result after the reporting currency is updated.
Was this page helpful?